FILEOWN(1)

NAME
fileown - print the owner (or group) of the specified files

SYNOPSIS
fileown [-h(elp)] [-b(oth_ids)] [-f file_list] [-g(roup_id)] [-n(umbers)] [-p(ipe)] [-q(uiet)] [-v(erbose)] [file...]

DESCRIPTION
fileown prints out (by default) the owner and/or (optionally) the group of the specified files.

OPTIONS

-h  Print help and quit.

-b  Print both the user name and the group name, in a chown-compatible format.

-f file_list
    Read the names of files to be processed from the specified file.

-g  Print the group name instead of the user name.

-n  Print user and/or group ID numbers instead of names.

-p  Read the names of files to be processed from stdin.

-q  Quiet output. Do not print the filename with program output.

-v  Verbose output. Print the filename with program output.

NOTES
The program defaults to quiet for a single file and verbose for multiple files. The -f and -p options can be used simultaneously with filenames specified on the command-line. If no valid user name or group name is found in the /etc/passwd and /etc/group files, then the program will drop back to printing user ID or group ID numbers. Note that this program operates very similarly to stat -c '%U', stat -c '%u', stat -c '%G', and stat -c '%g'. If you are trying to write highly portable shell scripts, you might consider using stat instead.

COPYRIGHT
Copyright (C) 2009-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.